#!/bin/sh

# usage: generate_bottle_tag.sh NAME

set -u

VERSION=2.2
LOGO_FILE='""'
TINY_EARS=false
FN=90

NAME="\"$1\""

# usage: render NAME PART
render() {
	case "$2" in
		body)
			ONE=true
			TWO=false
			THREE=false
			;;
		name)
			ONE=false
			TWO=true
			THREE=false
			;;
		logo)
			ONE=false
			TWO=false
			THREE=true
			;;
		*)
			echo 'fatal: invalid part' >&2
			exit 1
			;;
	esac

	echo rendering "$1" "$2"
	openscad \
		-D "\$fn=${FN}" \
		-D "USE_TINY_EARS=${TINY_EARS}" \
		-D "LOGO_FILE=${LOGO_FILE}" \
		-D "NAME=${NAME}" \
		-D "RENDER_COLOR_ONE=${ONE}" \
		-D "RENDER_COLOR_TWO=${TWO}" \
		-D "RENDER_COLOR_THREE=${THREE}" \
		-o "stls/c3cat-bottle-clip-v${VERSION}_${NAME}_${PART}.stl" \
		c3cat-bottle-clip/c3cat-bottle-clip.scad
}

cd "$(dirname $0)"

for PART in body logo name
do
	render "$NAME" "$PART"
	sleep 1
done
